#ifndef DICTIONARY_H
#define DICTIONARY_H

#include <map>
#include <string>
using namespace std;

class Dictionary {

private:
    map<string,string> gerEngMap;
    map<string,string> engGerMap;
    string filename;

public:
    Dictionary(string _filename);
    string searchGerman( string searchString );
    string searchEnglish( string searchString );
    void add( string germanWord, string englishWord );
    void readFile();
    void saveToFile();

};

#endif // DICTIONARY_H
