//--------------------------------------------------
//Headerfile: Student.h
//Beschreibung: Studentendatenbank OOP
//Autor:  Harald Bucher, ITIV
//Erstellt: 20.06.2014
//Version: 1.0
//--------------------------------------------------

#ifndef STUDENT_H
#define STUDENT_H

#include <string>
#include <iostream>
using namespace std;

class Student {
private: 
	string name;
	string vorname;
	int matrikelnr;
	double note;
	
public:
	Student();
	~Student();

	const string& getName() const { return name; };
	const string& getVorname() const { return vorname; };
	int getMatrikelnr() const { return matrikelnr; };
	double getNote() const { return note; };
	
	void setData( const string& vorname, const string& name, int matrikelnr, double note);
	// void setName( const string& n ) { name = n; }
	// void setVorname( const string& n ) { vorname = n; }
	// void setMatrikelnr( int nr ) { matrikelnr = nr; }
	// void setNote( double note ) { this->note = note; }
};

#endif